Project-I
Home
API Test
Home
API Test
  1. Sample APIs
  • Start your Apidog journey
  • Introducing Apidog
  • Sample APIs
    • Find pet by ID
      GET
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Deletes a pet
      DELETE
    • Finds Pets by status
      GET
  • WebSocket Demo
  • Demo
    GET
  • Sample
    GET
  • GraphQL Demo
    POST
  • Get account aliase
    GET
  • Find User by ID
    GET
  • Get Account Summary
    GET
  • Demo_AWS Secrets Manager
    GET
  • Password Policy Check
    GET
  • Weather
    GET
  • Generate IAM Credential Report
    GET
  • Test
    GET
  • Analyse IAM Credential Report
    GET
  • Demo
    GET
  • List Users
    GET
  • List groups
    GET
  • List Roles
    GET
  • List Policies
    GET
  • Generate Service Last Accessed Details
    GET
  • Get Service Last Accessed Details
    GET
  • Post to Slack
    POST
  • Schemas
    • Schemas
      • Pet
      • ApiResponse
      • Category
      • Tag
      • Order
      • User
    • RequestBodies
      • UserArray
  1. Sample APIs

Finds Pets by status

GET
/pet/findbyStatus

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200OK
application/json
Body

🟠400Invalid status value
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1012399-0-default/pet/findbyStatus?status' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success example
{
    "code": 0,
    "data": [
        {
            "name": "Hello Kitty",
            "photoUrls": [
                "http://dummyimage.com/400x400"
            ],
            "id": 3,
            "category": {
                "id": 71,
                "name": "Cat"
            },
            "tags": [
                {
                    "id": 22,
                    "name": "Cat"
                }
            ],
            "status": "sold"
        },
        {
            "name": "White Dog",
            "photoUrls": [
                "http://dummyimage.com/400x400"
            ],
            "id": 3,
            "category": {
                "id": 71,
                "name": "Dog"
            },
            "tags": [
                {
                    "id": 22,
                    "name": "Dog"
                }
            ],
            "status": "sold"
        }
    ]
}
Modified at 2025-07-23 06:56:40
Previous
Deletes a pet
Next
WebSocket Demo
Built with